angular.module('luticate')
    .controller('GroupsController', ['$scope', 'luticateAuthGroups',
        function($scope, luticateAuthGroups) {

            $scope.luTable = {
                columns: [
                    {
                        name: "Name",
                        width: 11,
                        getValue: function (item) {
                            return item.Name;
                        }
                    }
                ],

                permissions: {
                    add: 'LU_GROUP_ADD',
                    del: 'LU_GROUP_DEL',
                    edit: 'LU_GROUP_EDIT'
                },

                getLoadPagePromise: function (page, perPage, promise) {
                    return luticateAuthGroups.getAll({page: page, perPage: perPage}, promise);
                },

                getDelPromise: function (id, promise) {
                    return luticateAuthGroups.del({group_id: id}, promise);
                },

                getEditController: function () {
                    return "GroupEdit";
                }
            };
        }]);
